[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# IEnumerator.MoveNext

Move to the next value

## Declaration

Source position: objpash.inc line 260

`function IEnumerator.MoveNext: Boolean;`

## Description

MoveNext should move the current item pointer to the next available item. It should return True if an item is available, False if no more items are available. The first time it is called It will be called at the beginning of the for loop, so it should position the enumerator on the first value (if there is one). After MoveNext has returned True, IEnumerator.GetCurrent will be called to retrieve the item.

## See also

IEnumerator.Reset |  | Reset the pointer
IEnumerator.GetCurrent |  | Returns the current element in the iteration cycle

Documentation generated on: Feb 26 2014